%define cvsdate 20040623
%undefine cvsdate
%define prerel beta

Name: rezound
Version: 0.10.0
%ifdef cvsdate
Release: alt0.6%{prerel}cvs%cvsdate
%else
Release: alt0.6%prerel
%endif

Summary: ReZound is a sound file editor and recorder
Group: Sound
License: GPL
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Url: http://rezound.sourceforge.net/

%ifdef cvsdate
Source: %name-%version-%cvsdate.tar.bz2
%else
Source: http://prdownloads.sourceforge.net/%name/%name-%version%prerel.tar.gz
%endif

#Source1: %name-1.0.0.ru-koi8-r.po.bz2
#Source1: %name-1.0.0.ru.po.bz2

#Patch: %name-1.0-cvs-c++.patch

%define fox_ver 1.1.53
%define audiofile_ver 0.2.4
%define jack_ver 0.98.1

Requires: libfox >= %fox_ver
Requires: libaudiofile >= %audiofile_ver
Requires: lame

BuildPreReq: libfox-devel >= %fox_ver
BuildPreReq: libaudiofile-devel >= %audiofile_ver
BuildPreReq: jackit-devel >= %jack_ver

# Automatically added by buildreq on Tue Jul 20 2004
BuildRequires: XFree86-libs cdrdao flex gcc-c++ glib2 jackit-devel libaudiofile-devel libfftw-devel libflac++-devel libflac-devel libfox-devel libogg-devel libstdc++-devel libvorbis-devel pkgconfig

%description
ReZound aims to be a stable, open source, and graphical audio file
editor primarily for but not limited to the Linux operating system. 
This rpm is based on the statically linked binary so as to eliminate
nearly all dependancies.

%prep
%ifdef cvsdate
%setup -q -n %name
%else
%setup -q -n %name-%version%prerel
%endif

#bzcat %SOURCE1 >po/ru.po

%ifdef cvsdate
./bootstrap
%endif

#%__subst 's,\([FOX\|fox]-1\.\)1,\12,g' configure

%build
export ac_cv_path_LAME=%_bindir/lame
%configure
%make_build

%install
%makeinstall PREFIX=%buildroot%_bindir

# menu 
%__cat <<__MENU__ >%name.menu
?package(%name): needs="X11" section="Multimedia/%group" \
title="ReZound" longtitle="A sound file editor and recorder" \
command="%_bindir/%name" icon="%name.png"
__MENU__

%__install -pD -m644 %name.menu %buildroot%_menudir/%name

%__rm -rf %buildroot%_prefix/doc

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/%name
%_menudir/*
%doc README docs/{AUTHORS,NEWS,README_DOCS,TODO_FOR_USERS_TO_READ}
%doc docs/{Features.txt,FrontendFoxFeatures.txt}

%changelog
* Tue Jul 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.10.0-alt0.6beta
- 0.10.0pre

* Wed Jun 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt0.6cvs20040623
- build current cvs snapshot.
- Updated ru.po by avp@.

* Wed May 12 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt0.6beta
- use fox development branch.

* Wed Nov 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt0.5beta
- new version.

* Wed Jun 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt0.5beta
- new version.

* Wed Feb 26 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.0-alt0.5beta
- new version. 

* Wed Jan 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt0.5beta
- 0.6.0beta

* Wed Nov 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt0.5beta
- 0.5.1beta.
- Built with updated audiofile.

* Fri Oct 25 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.5.0-alt0.5beta
- 0.5.0beta.

* Mon Sep 09 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.0-alt0.5beta
- Adopted for Sisyphus

* Thu Sep 6 2002 Davy Durham <ddurham@users.sourceforge.com> 0.4.0beta-1
- first rpm release
